#include <iostream>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    unsigned long long N, visina;
    cin >> N >> visina;

    unsigned long long stalaktit;
    bool found = false;

    for (unsigned long long i = 0; i < N; i++) {
        cin >> stalaktit;

        if (stalaktit <= visina) {
            cout << i + 1 << '\n';
            found = true;
            break;
        }
    }

    if (!found) {
        cout << -1 << '\n';
    }

    return 0;
}